Tranzaksiyalar
Hamkor kompaniyalari balanslari tranzaksiyalari: qo‘lda to‘ldirish, bekor qilish va yakunlangan amallar bo‘yicha jamlar.
| Metod | Manzil | Vazifasi |
|---|---|---|
| POST | /partner/company/transaction/refill | Balansni to‘ldirish |
| PATCH | /partner/company/transaction/{model}/cancel | Tranzaksiyani bekor qilish |
| GET | /partner/company/transaction | Tranzaksiyalar ro‘yxati |
| GET | /partner/company/transaction/{model} | Tranzaksiyani ko‘rish |
Balansni to‘ldirish
/partner/company/transaction/refillHamkor kompaniyasi balansini qo‘lda to‘ldirish: tanlangan balance_type ga amount miqdorida yakunlangan kirim tranzaksiyasi (type = income, reason_type = common_refill); kompaniya balansi darhol oshadi. payment_type = system mavjud emas.
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
So‘rov tanasi
| Maydon | Turi | Majburiy | Tavsif |
|---|---|---|---|
company_id | integer | Ha | Kompaniya. Foydalanuvchiga ochiq mavjud yozuv ID si |
payment_type | string | Ha | To'lov turi. Mumkin qiymatlar: bank, card, cash, discount, my_uzcard, terminal |
amount | number | Ha | Summa. Verguldan keyin 2 tagacha raqam. Kamida 0.01. 999999999999.99 dan oshmasin |
balance_type | string | Ha | Balans turi. Mumkin qiymatlar: main, sms, pochta, imei, aniq_score, subscription |
comment | string | Yo‘q | Izoh. Maks. 1000 belgi |
{
"company_id": 1,
"payment_type": "bank",
"amount": 1000,
"balance_type": "main",
"comment": "Comment 4"
}curl -X POST "https://api.wasyt.uz/partner/company/transaction/refill" \
-H "Accept: application/json" \
-H "Accept-Language: ru" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{"company_id":1,"payment_type":"bank","amount":1000,"balance_type":"main","comment":"Comment 4"}'Javob · 200
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
company_id | integer | Kompaniya |
payment_type | string | To'lov turi |
amount | integer | Summa |
balance_type | string | Balans turi |
comment | string | Izoh |
type | string | Turi |
creation_type | string | Yaratilish turi |
reason_type | string | Sabab turi |
reason | string | Sabab |
updated_at | string | Yangilangan |
created_at | string | Yaratilgan |
status | string | Status |
balance | integer | Balans |
creator_id | integer | Yaratuvchi |
id | integer | ID |
company | object | Kompaniya |
company.id | integer | ID |
company.parent_id | null | Ota-ona |
company.partner_id | integer | Hamkor |
company.district_id | integer | Tuman |
company.industry_id | integer | Faoliyat turlari |
company.name | string | Nomlanish |
company.company_name | string | Kompaniya |
company.logo | object | Logotip |
company.logo.original | object | |
company.logo.original.raw | string | |
company.logo.original.webp | string | |
company.logo.widen_25 | object | |
company.logo.widen_25.raw | string | |
company.logo.widen_25.webp | string | |
company.logo.widen_100 | object | |
company.logo.widen_100.raw | string | |
company.logo.widen_100.webp | string | |
company.logo.widen_500 | object | |
company.logo.widen_500.raw | string | |
company.logo.widen_500.webp | string | |
company.inn | string | INN |
company.mfo | string | MFO |
company.address | string | Manzil |
company.latitude | null | Kenglik |
company.longitude | null | Uzunlik |
company.comment | string | Izoh |
company.telegram_phone | string | Telegramdagi telefon |
company.director_full_name | string | Direktorning FISH |
company.bank | string | Bank |
company.payment_account | string | To'lov hisob raqami |
company.agreement_number | string | Shartnoma raqami |
company.agreement_date | null | |
company.atmos_terminal_id | integer | Atmos Terminalining ID raqami |
company.uniaccess_auto_payment_credit_overdue_days | integer | |
company.uniaccess_branch_id | integer | Uniaccess branch ID |
company.field_of_activity | string | Faoliyat yo‘nalishi |
company.vat_percent | string | QQS (%) |
company.is_using_new_my_uzcard_auto_payment_by_pinfl | boolean | Yangi MyUzcard PINFL bo'yicha avtomatik yechib olish uchun foydalanish |
company.bonus_entry_period | integer | Bonuslar hisob davri (oylarda) |
company.abc_segment_a | integer | |
company.abc_segment_b | integer | |
company.abc_segment_c | integer | |
company.is_pos_window_enabled | boolean | |
company.cashbox_shift_settings | object | |
company.cashbox_shift_settings.is_enabled | boolean | Yoqilgan |
company.has_bank_payment_type | boolean | |
company.is_ican_turned_on | boolean | ICAN yoqilgan |
company.is_partner_turned_on | boolean | Hamkor yoqilgan |
company.created_at | string | Yaratilgan |
company.updated_at | string | Yangilangan |
company.is_deleted | boolean | |
company.balance | object | Balans |
company.balance.main | integer | Asosiy |
company.balance.sms | integer | SMS |
company.balance.pochta | integer | Pochta |
company.balance.imei | string | IMEI |
company.balance.aniq_score | string | |
company.balance.subscription | integer |
{
"company_id": 1,
"payment_type": "bank",
"amount": 1000,
"balance_type": "main",
"comment": "Comment 4",
"type": "income",
"creation_type": "manualy",
"reason_type": "common_refill",
"reason": "Пополнение баланса",
"updated_at": "2026-09-30 12:57:26",
"created_at": "2026-09-30 12:57:26",
"status": "completed",
"balance": 2000,
"creator_id": 12,
"id": 161,
"company": {
"id": 1,
"parent_id": null,
"partner_id": 1,
"district_id": 1,
"industry_id": 1,
"name": "Company 1",
"company_name": "Company 1",
"logo": {
"original": {
"raw": "https://api.wasyt.uz/test_data/images/1.png",
"webp": "https://api.wasyt.uz/storage/thumbs/original/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.webp"
},
"widen_25": {
"raw": "https://api.wasyt.uz/storage/thumbs/widen/25/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.png",
"webp": "https://api.wasyt.uz/storage/thumbs/widen/25/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.webp"
},
"widen_100": {
"raw": "https://api.wasyt.uz/storage/thumbs/widen/100/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.png",
"webp": "https://api.wasyt.uz/storage/thumbs/widen/100/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.webp"
},
"widen_500": {
"raw": "https://api.wasyt.uz/storage/thumbs/widen/500/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.png",
"webp": "https://api.wasyt.uz/storage/thumbs/widen/500/6a21a10b2d2ed8f4573f3842b10dc1df1778568717.webp"
}
},
"inn": "000000001",
"mfo": "00001",
"address": "Address 1",
"latitude": null,
"longitude": null,
"comment": "Comment 1",
"telegram_phone": "998000000001",
"director_full_name": "Director 1",
"bank": "Bank 1",
"payment_account": "00000000000000000001",
"agreement_number": "001/2026",
"agreement_date": null,
"atmos_terminal_id": 97007302,
"uniaccess_auto_payment_credit_overdue_days": 3,
"uniaccess_branch_id": 1,
"field_of_activity": "trading",
"vat_percent": "12.00",
"is_using_new_my_uzcard_auto_payment_by_pinfl": true,
"bonus_entry_period": 12,
"abc_segment_a": 75,
"abc_segment_b": 15,
"abc_segment_c": 10,
"is_pos_window_enabled": true,
"cashbox_shift_settings": {
"is_enabled": true
},
"has_bank_payment_type": false,
"is_ican_turned_on": true,
"is_partner_turned_on": false,
"created_at": "2026-09-30 12:47:58",
"updated_at": "2026-09-30 12:49:04",
"is_deleted": false,
"balance": {
"main": 2000,
"sms": 2000,
"pochta": 3000,
"imei": "10000000000.00",
"aniq_score": "10000000000.00",
"subscription": 0
}
}
}Xato misoli · 422
{
"message": "Допустимые значения для Тип оплаты: bank, card, cash, discount, my_uzcard, terminal.",
"errors": {
"payment_type": [
"Допустимые значения для Тип оплаты: bank, card, cash, discount, my_uzcard, terminal."
]
}
}Tranzaksiyani bekor qilish
/partner/company/transaction/{model}/cancelYakunlangan kirim tranzaksiyasini bekor qiladi (status = canceled) va summani balansdan qaytarib yechadi; my_uzcard to‘lovlari uchun kartaga qaytarish boshlanadi. Chiqimni, yakunlanmagan tranzaksiyani yoki tizim sozlamalaridagi limitdan yuqori summani bekor qilib bo‘lmaydi.
Formadan (
multipart/form-data)PATCHmetodiPOST+?_method=PATCHparametri bilan yuboriladi.
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
Yo‘l parametrlari
| Parametr | Tavsif |
|---|---|
model | Yozuv ID si |
So‘rov tanasi
| Maydon | Turi | Majburiy | Tavsif |
|---|---|---|---|
comment | string | Yo‘q | Izoh. Maks. 1000 belgi |
{
"comment": "Cancel comment 1"
}curl -X PATCH "https://api.wasyt.uz/partner/company/transaction/1/cancel" \
-H "Accept: application/json" \
-H "Accept-Language: ru" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{"comment":"Cancel comment 1"}'Javob · 200
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
message | string | Xabar |
{
"message": "Success"
}Tranzaksiyalar ro‘yxati
/partner/company/transactionHamkor kompaniyalari tranzaksiyalari. Sahifadan tashqari total_status_completed — filtrlarni hisobga olgan holda yakunlangan tranzaksiyalar summalari turlar bo‘yicha. Tashlab ketilgan tarif to‘lovi urinishlari va tarif hamyonidan yechimlar yashirilgan.
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
So‘rov parametrlari
| Parametr | Tavsif |
|---|---|
filter[id] | ID — aniq qiymat |
filter[creator_id] | Yaratuvchi — aniq qiymat |
filter[company_id] | Kompaniya — bitta qiymat yoki ro‘yxat filter[company_id][] |
filter[type] | Turi — aniq qiymat |
filter[creation_type] | Yaratilish turi — aniq qiymat |
filter[payment_type] | To'lov turi — bitta qiymat yoki ro‘yxat filter[payment_type][] |
filter[balance_type] | Balans turi — aniq qiymat |
filter[reason_type] | Sabab turi — bitta qiymat yoki ro‘yxat filter[reason_type][] |
filter[status] | Status — bitta qiymat yoki ro‘yxat filter[status][] |
filter[created_at] | Yaratilgan — davr: [0] — dan, [1] — gacha (Y-m-d) |
filter[company.is_ican_turned_on] | ICAN yoqilgan — aniq qiymat |
sort[] | Saralash, - — kamayish bo‘yicha: id, -id |
with[] | Bog‘liq ma’lumotlarni qo‘shish: creator.profile, company |
page | Sahifa raqami, 1 dan |
page-size | Sahifadagi yozuvlar soni, ko‘pi bilan 20 |
GET /partner/company/transaction?filter[id]=1&filter[creator_id]=1&filter[company_id][0]=1&filter[company_id][1]=2&filter[type]=income&filter[creation_type]=manualy&filter[payment_type][0]=bank&filter[payment_type][1]=card&filter[reason_type][0]=manually_advertising&filter[reason_type][1]=common_refill&filter[status][0]=completed&filter[status][1]=canceled&filter[created_at][0]=2026-09-29&filter[created_at][1]=2026-09-30Javob · 200
Sahifalangan javob: yozuvlar data[] ichida, sahifalash links va meta da.
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
data | object[] | Ma'lumotlar |
data[].id | integer | ID |
data[].creator_id | integer | Yaratuvchi |
data[].company_id | integer | Kompaniya |
data[].type | string | Turi |
data[].creation_type | string | Yaratilish turi |
data[].payment_type | string | To'lov turi |
data[].amount | integer | Summa |
data[].balance_type | string | Balans turi |
data[].balance | integer | Balans |
data[].reason_type | string | Sabab turi |
data[].reason_params | array | |
data[].reason | string | Sabab |
data[].comment | null | Izoh |
data[].status | string | Status |
data[].transaction_id | null | Tranzaksiya |
data[].utrno | null | |
data[].created_at | string | Yaratilgan |
data[].updated_at | string | Yangilangan |
{
"data": [
{
"id": 1,
"creator_id": 1,
"company_id": 1,
"type": "income",
"creation_type": "manualy",
"payment_type": "bank",
"amount": 1000,
"balance_type": "main",
"balance": 2000,
"reason_type": "manually_advertising",
"reason_params": [],
"reason": "Reason 1",
"comment": null,
"status": "completed",
"transaction_id": null,
"utrno": null,
"created_at": "2026-09-30 12:47:58",
"updated_at": "2026-09-30 12:47:58"
}
],
"links": {
"first": "https://api.wasyt.uz/partner/company/transaction?page=1",
"last": "https://api.wasyt.uz/partner/company/transaction?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [],
"path": "https://api.wasyt.uz/partner/company/transaction",
"per_page": 20,
"to": 1,
"total": 1
},
"total_status_completed": {
"income": "1000.00"
}
}Tranzaksiyani ko‘rish
/partner/company/transaction/{model}Muallifi va kompaniyasi bilan hamkor kompaniyasining bitta tranzaksiyasi.
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
Yo‘l parametrlari
| Parametr | Tavsif |
|---|---|
model | Yozuv ID si |
Javob · 200
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
id | integer | ID |
creator_id | integer | Yaratuvchi |
company_id | integer | Kompaniya |
type | string | Turi |
creation_type | string | Yaratilish turi |
payment_type | string | To'lov turi |
amount | integer | Summa |
balance_type | string | Balans turi |
balance | integer | Balans |
reason_type | string | Sabab turi |
reason_params | array | |
reason | string | Sabab |
comment | null | Izoh |
status | string | Status |
transaction_id | null | Tranzaksiya |
utrno | null | |
created_at | string | Yaratilgan |
updated_at | string | Yangilangan |
{
"id": 1,
"creator_id": 1,
"company_id": 1,
"type": "income",
"creation_type": "manualy",
"payment_type": "bank",
"amount": 1000,
"balance_type": "main",
"balance": 2000,
"reason_type": "manually_advertising",
"reason_params": [],
"reason": "Reason 1",
"comment": null,
"status": "completed",
"transaction_id": null,
"utrno": null,
"created_at": "2026-09-30 12:47:58",
"updated_at": "2026-09-30 12:47:58"
}
